Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools XML Security Java API Reference 10g Release 3 (10.1.3) B25383-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.xmlsec.transform
Class ExcC14NWithCommentsTransform

`java.lang.Object
oracle.security.xmlsec.transform.XSTransformer
oracle.security.xmlsec.transform.ExcC14NTransform
oracle.security.xmlsec.transform.ExcC14NWithCommentsTransform`

public class ExcC14NWithCommentsTransform
extends ExcC14NTransform

Internal use only. Applies Exclusive XML Canonicalization version 1.0 with comments processing as a Transform.

Since:
  1.1

Field Summary

Fields inherited from class oracle.security.xmlsec.transform.XSTransformer
`transform`

Constructor Summary
`ExcC14NWithCommentsTransform()` Creates a new `ExcC14NWithCommentsTransform` instance.
`ExcC14NWithCommentsTransform(java.lang.String inclusiveNSList)` Creates a new `ExcC14NWithCommentsTransform` instance.
`ExcC14NWithCommentsTransform(XSAlgorithmIdentifier trans)` Creates a new `ExcC14NWithCommentsTransform` instance.

Method Summary
`java.lang.String` | `getAlgorithmURI()` Returns the URI string identifying the Transform algorithm.

Methods inherited from class oracle.security.xmlsec.transform.ExcC14NTransform
`transform`

Methods inherited from class oracle.security.xmlsec.transform.XSTransformer
`applyTransforms, getInstance, getInstance, getTransform`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExcC14NWithCommentsTransform

    public ExcC14NWithCommentsTransform()

  Creates a new `ExcC14NWithCommentsTransform` instance.

### ExcC14NWithCommentsTransform

    public ExcC14NWithCommentsTransform(java.lang.String inclusiveNSList)

  Creates a new `ExcC14NWithCommentsTransform` instance.
Parameters:
  `inclusiveNSList` - A list of namespaces to be included as per XML-C14N.

### ExcC14NWithCommentsTransform

    public ExcC14NWithCommentsTransform(XSAlgorithmIdentifier trans)

  Creates a new `ExcC14NWithCommentsTransform` instance.
Parameters:
  `trans` - A `XSAlgorithmIdentifier` object.
Throws:
  `java.lang.IllegalArgumentException` - If the `XSAlgorithmIdentifier` is not a valid Exclusive XML-C14N With Comments Transform.

Method Detail

### getAlgorithmURI

    public java.lang.String getAlgorithmURI()

  Description copied from class: `XSTransformer`
  Returns the URI string identifying the Transform algorithm.
  Overrides:
    `getAlgorithmURI` in class `ExcC14NTransform`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools XML Security Java API Reference 10g Release 3 (10.1.3) B25383-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.